Cesium desktop debian 1.6.7 stable no va

Hola,

hoy @sheveck me ha acompañado en el proceso de empezar con cesium como no iba en la app de escritorio hemos pasado a firefox plugin

en la aplicación de escritorio salta este error, alguien se le ocurre qué puede ser? (he instalado la dependencia que dicen que podría ser problemática)

@kapis usas debian stable también? te sale el mismo error? si es algo raro, lo movería a bug report normal

[19:35:15] $ cesium
[7166:7166:0124/193516.624265:ERROR:component_loader.cc(165)] Failed to parse extension manifest.
[7188:7188:0124/193516.666027:ERROR:sandbox_linux.cc(371)] InitializeSandbox() called with multiple threads in process gpu-process.
[7188:7188:0124/193516.780066:ERROR:buffer_manager.cc(488)] [.DisplayCompositor]GL ERROR :GL_INVALID_OPERATION : glBufferData: <- error from previous GL command
[7191:7204:0124/193516.881269:ERROR:nss_util.cc(750)] After loading Root Certs, loaded==false: NSS error code: -8018
[INFO]  [desktop] Launching Cesium...	{"debug":false,"menu":false,"sdk":true,"home":"/home/music"}
[ERROR] [desktop] Error while trying to launch Cesium: Cannot read property 'split' of null	TypeError: Cannot read property 'split' of null
    at loadSettings (chrome-extension://eddgpcgfbhhopcmllclnjdoiepjnmnjj/cesium-desktop.js:222:96)
    at startApp (chrome-extension://eddgpcgfbhhopcmllclnjdoiepjnmnjj/cesium-desktop.js:518:5)
    at chrome-extension://eddgpcgfbhhopcmllclnjdoiepjnmnjj/cesium-desktop.js:553:20

también he pensado si podría ser lo típico que me pasa con alguna aplicación electron que no arranca [04:54:39] $ sudo sysctl kernel.unprivileged_userns_clone=1 pero nada

No lo tengo claro, pero para aportar algo de luz, en el comentario pones que has usado el firefox plugin, pero en cambio en el log de arranque del cesium para que está intentando arrancar una chrome-extension? Podría ser que o bien no tuvieras Chrome o bien está intentando arrancar Chrome en vez de Firefox?

1 me gusta

Qué versión estuvisteis probando? (podéis ponerlo en el titulo del msg)
A mí la versión 1.6.9 o 1.6.10 no me van tampoco en Ubuntu.
en https://moneda-libre.org/descargas está puesta la 1.6.8 que sí parece funcionar.

Para issues usan gitlab: Issues · clients / Cesium-grp / Cesium · GitLab
Para código usan github: Releases · duniter/cesium · GitHub
Un saludo.

La que está en cesium.app. La 1.6.7

Voy a probar la 1.6.8

Esto de kernel.unprivileged_userns_clone=1 es raro. Me pasa a veces con Electron apps. Y a veces no. Con Cesium no he tenido que usarlo.

La 1.6.8 sí que va!!! Uee :g1:

2 Me gusta